List saved reusable apps
curl --request GET \
--url https://api.openworklabs.com/v1/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"sharingEnabled": true,
"items": [
{
"view": {
"id": "<string>",
"configObjectId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "active",
"activeRevisionId": "<string>",
"revisions": [
{
"id": "<string>",
"artifactViewId": "<string>",
"resourceUri": "<string>",
"buildStatus": "ready",
"sourceDigest": "<string>",
"resourceDigest": "<string>",
"outputSchemaDigest": "<string>",
"csp": {
"connectDomains": [
"<string>"
],
"resourceDomains": [
"<string>"
],
"frameDomains": [
"<string>"
],
"baseUriDomains": [
"<string>"
]
},
"diagnostics": [
{
"level": "error",
"message": "<string>",
"line": 4503599627370495,
"column": 4503599627370495
}
],
"compilerName": "<string>",
"compilerVersion": "<string>",
"reactVersion": "<string>",
"compiledHtmlBytes": 4503599627370495,
"retiredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"useInWorkflow": true
},
"workflowTitle": "<string>",
"canManage": true,
"onDashboard": true
}
]
}Apps
List saved reusable apps
Lists active Artifact views that have a saved revision and whose Workflow the caller can read, newest first, each with the Workflow title, whether the caller can manage it, and whether it is on the caller’s personal dashboard. When generated Artifact views are disabled for the deployment, returns enabled: false and an empty list.
GET
/
v1
/
apps
List saved reusable apps
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Was this page helpful?